<!DOCTYPE html>
<html>
  <head>
    <meta name="viewport" content="initial-scale=1.0, user-scalable=no">
    <meta charset="utf-8">
    <style>
      html, body {
        height: 100%;
        margin: 0;
        padding: 0;
      }
      #map {
        height: 100%;
      }
.controls {
  margin-top: 10px;
  border: 1px solid transparent;
  border-radius: 2px 0 0 2px;
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  height: 32px;
  outline: none;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
}

#pac-input {
  background-color: #fff;
  font-family: Roboto;
  font-size: 15px;
  font-weight: 300;
  margin-left: 12px;
  padding: 0 11px 0 13px;
  text-overflow: ellipsis;
  width: 300px;
}

#pac-input:focus {
  border-color: #4d90fe;
}

#pac-input1 {
  background-color: #fff;
  font-family: Roboto;
  font-size: 15px;
  font-weight: 300;
  margin-left: 12px;
  padding: 0 11px 0 13px;
  text-overflow: ellipsis;
  width: 300px;
}

#pac-input1:focus {
  border-color: #4d90fe;
}

.pac-container {
  font-family: Roboto;
}

#type-selector {
  color: #fff;
  background-color: #4d90fe;
  padding: 5px 11px 0px 11px;
}

#type-selector label {
  font-family: Roboto;
  font-size: 13px;
  font-weight: 300;
}

    </style>
    <title>Places Searchbox</title>
    <style>
      #target {
        width: 345px;
      }
    </style>
            <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
            <script src="jquery.cyclotron.js"></script>
  </head>
  <body>
    	<input id="pac-input" class="controls" type="text" placeholder="Search Box">
	<!--<input id="pac-input1" class="controls" type="text" placeholder="Search Box">
	<input type="text" id="lat" name="start_lat" value=""/>
	<input type="text" id="lng" name="start_lng" value=""/>-->
	
	<input type="hidden" id="marker" value=''/>
    <div id="map"></div>
    <script>
// This example adds a search box to a map, using the Google Place Autocomplete
// feature. People can enter geographical searches. The search box will return a
// pick list containing a mix of places and predicted search terms.

// This example requires the Places library. Include the libraries=places
// parameter when you first load the API. For example:
// <script src="https://maps.googleapis.com/maps/api/js?key=YOUR_API_KEY&libraries=places">

function initAutocomplete() {
  var map = new google.maps.Map(document.getElementById('map'), {
    center: {lat: -33.8688, lng: 151.2195},
    zoom: 13,
    mapTypeId: google.maps.MapTypeId.ROADMAP
  });

  // Create the search box and link it to the UI element.
  var input = document.getElementById('pac-input');
  var searchBox = new google.maps.places.SearchBox(input);
  map.controls[google.maps.ControlPosition.TOP_LEFT].push(input);

  // Bias the SearchBox results towards current map's viewport.
  map.addListener('bounds_changed', function() {
    searchBox.setBounds(map.getBounds());
  });

  var markers = [];
  // [START region_getplaces]
  // Listen for the event fired when the user selects a prediction and retrieve
  // more details for that place.
  searchBox.addListener('places_changed', function() {

    var places = searchBox.getPlaces();
console.log(places);

    if (places.length == 0) {
      return;
    }

    // Clear out the old markers.
    markers.forEach(function(marker) {
      marker.setMap(null);
    });
    markers = [];
    var loc = '';
    var LatLng ={};
 	// For each place, get the icon, name and location.
 	places.forEach(function(place) {
 		LatLng = place.geometry.location.toJSON();
 		
 	});
 	console.log(LatLng);
 	
 	var infoWindow = new google.maps.InfoWindow();
	var latlngbounds = new google.maps.LatLngBounds();
	var lat_lng = new Array();
	
      
	$.post( "maps.php", LatLng,function( data ) {
		//$( "#marker" ).val( data );
		var infoWindow = new google.maps.InfoWindow();
	  	var markerpoint    =   JSON.parse(data);
	  
		console.log($('#marker').val());
   
	     /** set marker point */
		                                      
	      if(markerpoint!='' && markerpoint!=undefined){
	  	$.each(markerpoint, function(key1, point1){
			var myLatlng = new google.maps.LatLng(point1.lat, point1.lng);
			lat_lng.push(myLatlng);
			
			var marker = new google.maps.Marker({
			  position: myLatlng,
			      map: map,
			     // icon: point1.image,
			       label: 's',
			 //     title: mar
			});
			      
			latlngbounds.extend(marker.position);
			(function (marker, point1) {
			    google.maps.event.addListener(marker, "click", function (e) {
			    	 var text = "<b>" + name + "</b><b><div style='float:right;'><button type='button' class='btn btn-info btn-lg' data-toggle='modal' data-target='#myModal'>E</button>  <a href='hhh.php'>Info</a></div></b> <br><br><br> <div class='cycle' style='background-image:url(cyclotron.jpg); background-position: -4067.3560813933063px 50%;height: 450px;cursor: move;width:500px;'></div>";
				infoWindow.setContent(text);
				infoWindow.open(map, marker);
				$('.cycle').cyclotron();
			    });
			})(marker, point1);
			map.setCenter(latlngbounds.getCenter());
			map.fitBounds(latlngbounds);
		        
	//		}

		   });
		 });
	      }
	});
 
    map.fitBounds(latlngbounds);
  });
  // [END region_getplaces]

}


    </script>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCUlQEVELKOBQi39VWgb7jjjq4a4lq9jdU&libraries=places&callback=initAutocomplete"
         async defer></script>
  </body>
</html>
